*** a/src/backend/access/transam/xlog.c
--- b/src/backend/access/transam/xlog.c
***************
*** 5043,5052 **** readRecoveryCommandFile(void)
  						cmdline),
  			  errhint("Lines should have the format parameter = 'value'.")));
  
! 	/* If not in standby mode, restore_command must be supplied */
! 	if (!StandbyMode && recoveryRestoreCommand == NULL)
  		ereport(FATAL,
! 				(errmsg("recovery command file \"%s\" did not specify restore_command nor standby_mode",
  						RECOVERY_COMMAND_FILE)));
  
  	/* Enable fetching from archive recovery area */
--- 5043,5058 ----
  						cmdline),
  			  errhint("Lines should have the format parameter = 'value'.")));
  
! 	/*
! 	 * Either restore_command or primary_conninfo must be supplied. Otherwise,
! 	 * we cannot determine how to retrieve log files. Note that also
! 	 * standby_mode should be checked since primary_conninfo has no effect
! 	 * if standby_mode is off.
! 	 */
! 	if ((!StandbyMode || PrimaryConnInfo == NULL) &&
! 		recoveryRestoreCommand == NULL)
  		ereport(FATAL,
! 				(errmsg("recovery command file \"%s\" did not specify restore_command nor primary_conninfo",
  						RECOVERY_COMMAND_FILE)));
  
  	/* Enable fetching from archive recovery area */
